"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventSchedule = void 0;
const react_1 = require("react");
const ScheduleType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "eventSchedule",
        itemScope: true,
        itemType: "https://schema.org/Schedule",
        ...props,
    }, children);
};
const EventSchedule = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "eventSchedule",
        ...props,
    }, children);
};
exports.EventSchedule = EventSchedule;
EventSchedule.Schedule = ScheduleType;
