"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SuperEvent = void 0;
const react_1 = require("react");
const EventType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "superEvent",
        itemScope: true,
        itemType: "https://schema.org/Event",
        ...props,
    }, children);
};
const SuperEvent = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "superEvent",
        ...props,
    }, children);
};
exports.SuperEvent = SuperEvent;
SuperEvent.Event = EventType;
