"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkFeatured = void 0;
const react_1 = require("react");
const CreativeWorkType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "workFeatured",
        itemScope: true,
        itemType: "https://schema.org/CreativeWork",
        ...props,
    }, children);
};
const WorkFeatured = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "workFeatured",
        ...props,
    }, children);
};
exports.WorkFeatured = WorkFeatured;
WorkFeatured.CreativeWork = CreativeWorkType;
