"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkPerformed = void 0;
const react_1 = require("react");
const CreativeWorkType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "workPerformed",
        itemScope: true,
        itemType: "https://schema.org/CreativeWork",
        ...props,
    }, children);
};
const WorkPerformed = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "workPerformed",
        ...props,
    }, children);
};
exports.WorkPerformed = WorkPerformed;
WorkPerformed.CreativeWork = CreativeWorkType;
