"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CourseWorkload = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "courseWorkload",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const CourseWorkload = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'courseWorkload',
        ...props,
    }, children);
};
exports.CourseWorkload = CourseWorkload;
CourseWorkload.Text = TextType;
