"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventStatus = void 0;
const react_1 = require("react");
const EventStatusTypeType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "eventStatus",
        itemScope: true,
        itemType: "https://schema.org/EventStatusType",
        ...props,
    }, children);
};
const EventStatus = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "eventStatus",
        ...props,
    }, children);
};
exports.EventStatus = EventStatus;
EventStatus.EventStatusType = EventStatusTypeType;
