"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Instructor = void 0;
const react_1 = require("react");
const PersonType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "instructor",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props,
    }, children);
};
const Instructor = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "instructor",
        ...props,
    }, children);
};
exports.Instructor = Instructor;
Instructor.Person = PersonType;
