"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubEvent = void 0;
const react_1 = require("react");
const EventType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "subEvent",
        itemScope: true,
        itemType: "https://schema.org/Event",
        ...props,
    }, children);
};
const SubEvent = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "subEvent",
        ...props,
    }, children);
};
exports.SubEvent = SubEvent;
SubEvent.Event = EventType;
