"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubEvents = void 0;
const react_1 = require("react");
const EventType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "subEvents",
        itemScope: true,
        itemType: "https://schema.org/Event",
        ...props,
    }, children);
};
const SubEvents = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "subEvents",
        ...props,
    }, children);
};
exports.SubEvents = SubEvents;
SubEvents.Event = EventType;
